Bug 927223 - [abrt] libreoffice-core-3.6.5.2-5.fc18: raise: MultiLineEditSyntaxHighlight::DoBracketHilight killed by signal 6 (SIGABRT)
Summary: [abrt] libreoffice-core-3.6.5.2-5.fc18: raise: MultiLineEditSyntaxHighlight::...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:8f63c925e486456a8df16d62dce...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-25 12:40 UTC by Petr Kloutvor
Modified: 2013-04-23 03:38 UTC (History)
6 users (show)

Fixed In Version: libreoffice-3.6.6.2-3.fc18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-20 01:09:28 UTC


Attachments (Terms of Use)
File: backtrace (43.40 KB, text/plain)
2013-03-25 12:40 UTC, Petr Kloutvor
no flags Details
File: build_ids (8.41 KB, text/plain)
2013-03-25 12:40 UTC, Petr Kloutvor
no flags Details
File: cgroup (131 bytes, text/plain)
2013-03-25 12:41 UTC, Petr Kloutvor
no flags Details
File: core_backtrace (7.33 KB, text/plain)
2013-03-25 12:41 UTC, Petr Kloutvor
no flags Details
File: dso_list (23.10 KB, text/plain)
2013-03-25 12:41 UTC, Petr Kloutvor
no flags Details
File: environ (1.76 KB, text/plain)
2013-03-25 12:41 UTC, Petr Kloutvor
no flags Details
File: limits (1.29 KB, text/plain)
2013-03-25 12:41 UTC, Petr Kloutvor
no flags Details
File: maps (116.41 KB, text/plain)
2013-03-25 12:41 UTC, Petr Kloutvor
no flags Details
File: open_fds (625 bytes, text/plain)
2013-03-25 12:41 UTC, Petr Kloutvor
no flags Details
File: proc_pid_status (945 bytes, text/plain)
2013-03-25 12:41 UTC, Petr Kloutvor
no flags Details
File: smolt_data (4.44 KB, text/plain)
2013-03-25 12:41 UTC, Petr Kloutvor
no flags Details
File: var_log_messages (538 bytes, text/plain)
2013-03-25 12:41 UTC, Petr Kloutvor
no flags Details


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 47209 None None None Never

Description Petr Kloutvor 2013-03-25 12:40:51 UTC
Description of problem:
Working in libreoffice --base

sometimes, after inserting character  '  (apostrophe)  via keyboard  libreoffice shutdown itself.

example:

select * from mytable where myfiled='FIELD'


Version-Release number of selected component:
libreoffice-core-3.6.5.2-5.fc18

Additional info:
backtrace_rating: 3
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --base --splash-pipe=6
crash_function: raise
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.8.2-206.fc18.x86_64
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 os::die() at /usr/java/jre1.7.0_07/lib/amd64/server/libjvm.so
 #3 VMError::report_and_die() at /usr/java/jre1.7.0_07/lib/amd64/server/libjvm.so
 #4 crash_handler(int, siginfo*, void*) at /usr/java/jre1.7.0_07/lib/amd64/server/libjvm.so
 #6 ??
 #7 os::abort(bool) at /usr/java/jre1.7.0_07/lib/amd64/server/libjvm.so
 #8 VMError::report_and_die() at /usr/java/jre1.7.0_07/lib/amd64/server/libjvm.so
 #9 JVM_handle_linux_signal at /usr/java/jre1.7.0_07/lib/amd64/server/libjvm.so
 #11 MultiLineEditSyntaxHighlight::DoBracketHilight(unsigned short) at /usr/lib64/libreoffice/program/libsvtlo.so
 #12 MultiLineEditSyntaxHighlight::PreNotify(NotifyEvent&) at /usr/lib64/libreoffice/program/libsvtlo.so
 #13 Window::PreNotify(NotifyEvent&) at /usr/lib64/libreoffice/program/libvcllo.so

Comment 1 Petr Kloutvor 2013-03-25 12:40:55 UTC
Created attachment 715986 [details]
File: backtrace

Comment 2 Petr Kloutvor 2013-03-25 12:40:59 UTC
Created attachment 715987 [details]
File: build_ids

Comment 3 Petr Kloutvor 2013-03-25 12:41:02 UTC
Created attachment 715988 [details]
File: cgroup

Comment 4 Petr Kloutvor 2013-03-25 12:41:06 UTC
Created attachment 715989 [details]
File: core_backtrace

Comment 5 Petr Kloutvor 2013-03-25 12:41:10 UTC
Created attachment 715990 [details]
File: dso_list

Comment 6 Petr Kloutvor 2013-03-25 12:41:15 UTC
Created attachment 715991 [details]
File: environ

Comment 7 Petr Kloutvor 2013-03-25 12:41:20 UTC
Created attachment 715992 [details]
File: limits

Comment 8 Petr Kloutvor 2013-03-25 12:41:23 UTC
Created attachment 715993 [details]
File: maps

Comment 9 Petr Kloutvor 2013-03-25 12:41:25 UTC
Created attachment 715994 [details]
File: open_fds

Comment 10 Petr Kloutvor 2013-03-25 12:41:27 UTC
Created attachment 715995 [details]
File: proc_pid_status

Comment 11 Petr Kloutvor 2013-03-25 12:41:30 UTC
Created attachment 715996 [details]
File: smolt_data

Comment 12 Petr Kloutvor 2013-03-25 12:41:32 UTC
Created attachment 715997 [details]
File: var_log_messages

Comment 13 Caolan McNamara 2013-04-16 11:51:30 UTC
pity there isn't a better backtrace, the syntax highlighter is indicated however

Comment 14 Caolan McNamara 2013-04-16 12:03:16 UTC
I don't get a crash (or valgrind warning) with typing the exact sample text query.

Comment 15 Caolan McNamara 2013-04-16 12:39:46 UTC
ah, its due to trying to parse empty lines

Comment 16 Caolan McNamara 2013-04-16 13:11:51 UTC
will be in in >= libreoffice-3.6.6.2-3.fc18

Comment 17 Fedora Update System 2013-04-16 19:08:51 UTC
libreoffice-3.6.6.2-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libreoffice-3.6.6.2-3.fc18

Comment 18 Fedora Update System 2013-04-16 19:10:39 UTC
libreoffice-4.0.2.2-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libreoffice-4.0.2.2-4.fc19

Comment 19 Fedora Update System 2013-04-17 16:24:01 UTC
Package libreoffice-4.0.2.2-4.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.0.2.2-4.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5873/libreoffice-4.0.2.2-4.fc19
then log in and leave karma (feedback).

Comment 20 Fedora Update System 2013-04-20 01:09:29 UTC
libreoffice-3.6.6.2-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2013-04-23 03:38:32 UTC
libreoffice-4.0.2.2-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.